FCPE-SPI FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI)

Data Fields
FcpePar Union Reference
Function structures

FCPE Union of function structures. More...

`#include <FCPE.h>`

## Data Fields
TsFcpeOpn | stOpn
| [INOUT] Structure for function code FCPE_FUNC_OPN More...
TsFcpeRun | stRun
| [INOUT] Structure for function code FCPE_FUNC_RUN More...
TsFcpeCls | stCls
| [INOUT] Structure for function code FCPE_FUNC_CLS More...

## Detailed Description

FCPE Union of function structures.

This union must be used to access structure fields depending on the function code that was passed to exit function. Only the member that corresponds to the function code may be accessed. Failing to do so results in undefined behavior!

## Field Documentation

## ◆ stCls

TsFcpeCls FcpePar::stCls

[INOUT] Structure for function code FCPE_FUNC_CLS

## ◆ stOpn

TsFcpeOpn FcpePar::stOpn

[INOUT] Structure for function code FCPE_FUNC_OPN

## ◆ stRun

TsFcpeRun FcpePar::stRun

[INOUT] Structure for function code FCPE_FUNC_RUN

The documentation for this union was generated from the following file:

- FCPE.h